Get AI Job Progress
curl --request GET \
--url https://api.brightdata.com/dca/collectors/{collector_id}/automate_template/progress \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/dca/collectors/{collector_id}/automate_template/progress"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/dca/collectors/{collector_id}/automate_template/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"step": "collector_maintainer",
"completed_steps": [
"prepare_intent_analyzer",
"planner",
"collector_maintainer",
"output_schema_generator",
"code_generator",
"input_schema_generator",
"preview_runner",
"preview_picker"
],
"status": "done"
}AI flow APIs
AI job progress
Use the Bright Data Scraper Studio AI Flow API to get AI job progress. Returns 200 OK with AI scraper template or job progress data as JSON.
GET
/
dca
/
collectors
/
{collector_id}
/
automate_template
/
progress
Get AI Job Progress
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Collector ID returned by the Create Scraper Template API endpoint.
Response
200 - application/json
AI job progress status
Was this page helpful?
⌘I